> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar preço do produto



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json put /produtos/{idProduto}/preco
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /produtos/{idProduto}/preco:
    put:
      tags:
        - Produtos
      summary: Atualizar preço do produto
      operationId: AtualizarPrecoProdutoAction
      parameters:
        - $ref: '#/components/parameters/put_produtos_idProduto_preco_idProduto'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AtualizarPrecoProdutoRequestModel'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AtualizarPrecoProdutoResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    put_produtos_idProduto_preco_idProduto:
      name: idProduto
      in: path
      description: Identificador do produto
      required: true
      schema:
        type: integer
  schemas:
    AtualizarPrecoProdutoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            preco:
              type: number
              format: float
              nullable: false
            precoPromocional:
              type: number
              format: float
              nullable: true
          type: object
    AtualizarPrecoProdutoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            preco:
              type: number
              format: float
              nullable: true
            precoPromocional:
              type: number
              format: float
              nullable: true
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````